[ubuntu/noble-proposed] gtk+3.0 3.24.40-1ubuntu1 (Accepted)

Jeremy Bícha jbicha at ubuntu.com
Fri Jan 19 20:33:14 UTC 2024


gtk+3.0 (3.24.40-1ubuntu1) noble; urgency=medium

  * Resynchronize with Debian, remaining changes:
    + Add Build-Depends: dh-sequence-translations
    + Install a settings.ini file to set our themes
    + Update debian/libgtk-3-0.symbols for ubuntu_gtk_custom_menu_items.patch
    + Ubuntu-specific patches:
      - 073_treeview_almost_fixed.patch
      - bzg_gtkcellrenderer_grabbing_modifier.patch
      - ubuntu_gtk_custom_menu_items.patch
      - print-dialog-show-options-of-remote-dnssd-printers.patch
      - uimanager-guard-against-nested-node-updates.patch
      - x-canonical-accel.patch
      - message-dialog-restore-traditional-look-on-unity.patch
      - 0001-gtk-reftest-Force-icon-theme-to-Adwaita.patch
      - restore_filechooser_typeaheadfind.patch
      - 0001-calendar-always-emit-day-selected-once.patch
      - 0001-gtkwindow-set-transparent-background-color.patch
      - unity-border-radius.patch
      - unity-headerbar-maximized-mode.patch
      - gitlab_opengl_fallback.patch

gtk+3.0 (3.24.40-1) unstable; urgency=medium

  * New upstream release
    - Update emoji chooser for Unicode 15.1
  * missing-sources: Update emojibase

gtk+3.0 (3.24.39-2) unstable; urgency=medium

  * d/control: Explicitly depend on necessary GIR XML modules.
    Use the systematic names gir1.2-cairo-1.0-dev and gir1.2-gio-2.0-dev
    if possible. The alternative dependency on libgirepository1.0-dev
    illustrates how backports can be made to work.
  * d/rules: If cross-compiling, use cross g-ir-scanner (see #1060838)
  * d/control: Make Build-Depends cross-satisfiable

Date: Fri, 19 Jan 2024 15:30:10 -0500
Changed-By: Jeremy Bícha <jbicha at ubuntu.com>
Maintainer: Ubuntu Developers <ubuntu-devel-discuss at lists.ubuntu.com>
https://launchpad.net/ubuntu/+source/gtk+3.0/3.24.40-1ubuntu1
-------------- next part --------------
Format: 1.8
Date: Fri, 19 Jan 2024 15:30:10 -0500
Source: gtk+3.0
Built-For-Profiles: noudeb
Architecture: source
Version: 3.24.40-1ubuntu1
Distribution: noble
Urgency: medium
Maintainer: Ubuntu Developers <ubuntu-devel-discuss at lists.ubuntu.com>
Changed-By: Jeremy Bícha <jbicha at ubuntu.com>
Changes:
 gtk+3.0 (3.24.40-1ubuntu1) noble; urgency=medium
 .
   * Resynchronize with Debian, remaining changes:
     + Add Build-Depends: dh-sequence-translations
     + Install a settings.ini file to set our themes
     + Update debian/libgtk-3-0.symbols for ubuntu_gtk_custom_menu_items.patch
     + Ubuntu-specific patches:
       - 073_treeview_almost_fixed.patch
       - bzg_gtkcellrenderer_grabbing_modifier.patch
       - ubuntu_gtk_custom_menu_items.patch
       - print-dialog-show-options-of-remote-dnssd-printers.patch
       - uimanager-guard-against-nested-node-updates.patch
       - x-canonical-accel.patch
       - message-dialog-restore-traditional-look-on-unity.patch
       - 0001-gtk-reftest-Force-icon-theme-to-Adwaita.patch
       - restore_filechooser_typeaheadfind.patch
       - 0001-calendar-always-emit-day-selected-once.patch
       - 0001-gtkwindow-set-transparent-background-color.patch
       - unity-border-radius.patch
       - unity-headerbar-maximized-mode.patch
       - gitlab_opengl_fallback.patch
 .
 gtk+3.0 (3.24.40-1) unstable; urgency=medium
 .
   * New upstream release
     - Update emoji chooser for Unicode 15.1
   * missing-sources: Update emojibase
 .
 gtk+3.0 (3.24.39-2) unstable; urgency=medium
 .
   * d/control: Explicitly depend on necessary GIR XML modules.
     Use the systematic names gir1.2-cairo-1.0-dev and gir1.2-gio-2.0-dev
     if possible. The alternative dependency on libgirepository1.0-dev
     illustrates how backports can be made to work.
   * d/rules: If cross-compiling, use cross g-ir-scanner (see #1060838)
   * d/control: Make Build-Depends cross-satisfiable
Checksums-Sha1:
 eee6fd1dd9be18806ec751fb7deb54109de4ce64 4917 gtk+3.0_3.24.40-1ubuntu1.dsc
 33693a80b706a31b5a700052bfdc057b9db934de 13189496 gtk+3.0_3.24.40.orig.tar.xz
 33107d0cc4e0664c7fae0841feb0c78c7741f655 3476684 gtk+3.0_3.24.40-1ubuntu1.debian.tar.xz
 235c8ff2f4a2452f24094602045bb2188d72126b 18719 gtk+3.0_3.24.40-1ubuntu1_source.buildinfo
Checksums-Sha256:
 e78b86fd694961d4eedd2079c3e8da88cb19cf2f00438493032b3d5a4f04ae2a 4917 gtk+3.0_3.24.40-1ubuntu1.dsc
 444dbb11f4fd5d592d74422441671854d1b744d0a7f3a3fbf9d4f936eb0552d3 13189496 gtk+3.0_3.24.40.orig.tar.xz
 b23906d3236bfd8d76881d1a4c24c5a260a075422b71365ad45b54cfae6dc89c 3476684 gtk+3.0_3.24.40-1ubuntu1.debian.tar.xz
 f38b28d37bbb0234167e9b3d7b6ae25f92b992316c173628d0dbdd235689c6b6 18719 gtk+3.0_3.24.40-1ubuntu1_source.buildinfo
Files:
 f43e086257fac7413e920c24a90b38f7 4917 libs optional gtk+3.0_3.24.40-1ubuntu1.dsc
 0164d65a03fd308ee3b10af41b61c41f 13189496 libs optional gtk+3.0_3.24.40.orig.tar.xz
 8acbb69f6d1fc5ab6068b63ee77a0ed8 3476684 libs optional gtk+3.0_3.24.40-1ubuntu1.debian.tar.xz
 568330486cb5fef9f1bd607c494f598e 18719 libs optional gtk+3.0_3.24.40-1ubuntu1_source.buildinfo
Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers at lists.alioth.debian.org>


More information about the noble-changes mailing list